PROJ = pkt2qwk
PROJFILE = pkt2qwk.mak
DEBUG = 0

CC  = cl
CFLAGS_G  = /AL /W4 /DQWKEXPORT /DXQWKEXPORT /DBMG /DOS2 /Zp1 /J /BATCH
CFLAGS_D  = /qc /Giout2\$(PROJ).mdt /Zr /Zi /Od /DQWKEXPORT /DXQWKEXPORT /DOS2
CFLAGS_R  = /Ot /Oi /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  =  /NOI /STACK:4096  /BATCH
LFLAGS_D  = /CO /INC /FAR /PACKC /PACKD /PMTYPE:VIO
LFLAGS_R  = /EXE /FAR /PACKC /PACKD /PMTYPE:VIO
LINKER  = link
ILINK  = ilink
LRF  = echo > NUL

OBJS  = out2\ASSIGN.obj out2\BMG.obj out2\DELIMS.obj out2\PKT2QWK.obj\
        out2\QWK.obj out2\STRIPS.obj out2\STRISTR.obj out2\WRITLINE.obj\
        out2\XQWK.obj

all: out2\$(PROJ).exe

.SUFFIXES:
.SUFFIXES: .obj .c

out2\ASSIGN.obj : ASSIGN.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout2\ASSIGN.obj ASSIGN.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout2\ASSIGN.obj ASSIGN.C
!ENDIF

out2\BMG.obj : BMG.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout2\BMG.obj BMG.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout2\BMG.obj BMG.C
!ENDIF

out2\DELIMS.obj : DELIMS.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout2\DELIMS.obj DELIMS.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout2\DELIMS.obj DELIMS.C
!ENDIF

out2\PKT2QWK.obj : PKT2QWK.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout2\PKT2QWK.obj PKT2QWK.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout2\PKT2QWK.obj PKT2QWK.C
!ENDIF

out2\QWK.obj : QWK.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout2\QWK.obj QWK.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout2\QWK.obj QWK.C
!ENDIF

out2\STRIPS.obj : STRIPS.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout2\STRIPS.obj STRIPS.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout2\STRIPS.obj STRIPS.C
!ENDIF

out2\STRISTR.obj : STRISTR.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout2\STRISTR.obj STRISTR.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout2\STRISTR.obj STRISTR.C
!ENDIF

out2\WRITLINE.obj : WRITLINE.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout2\WRITLINE.obj WRITLINE.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout2\WRITLINE.obj WRITLINE.C
!ENDIF

out2\XQWK.obj : XQWK.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout2\XQWK.obj XQWK.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout2\XQWK.obj XQWK.C
!ENDIF


out2\$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
        $(LRF) @<<out2\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
        $(LRF) @<<out2\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
!IF $(DEBUG)
        $(ILINK) -a -e "$(LINKER) @out2\$(PROJ).lrf" $@
!ELSE
        $(LINKER) @out2\$(PROJ).lrf
!ENDIF


.c.obj :
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: out2\$(PROJ).exe
        out2\$(PROJ).exe $(RUNFLAGS)

debug: out2\$(PROJ).exe
        CVP $(CVFLAGS) out2\$(PROJ).exe $(RUNFLAGS)
